Attribute VB_Name = "ModelTweakerMain"

'--------------------------------------------------------------------04/22/2004
' ModelTweaker.swp - Copyright 2004 Leonard Kikstra
'------------------------------------------------------------------------------
' Notes: Source file must be in same directory as macro file.
'        Source file must have same name as macro file with '.ini' extension.
'------------------------------------------------------------------------------
Global swApp            As Object
Global ModelDoc2        As Object
Global Const swDocPART = 1

Sub Main()
  Set swApp = CreateObject("SldWorks.Application")
  Set ModelDoc2 = swApp.ActiveDoc      ' Grab currently active document
  If ModelDoc2 Is Nothing Then         ' Check to see if a document
    MsgBox "No document loaded.  A SolidWorks " + Chr$(10) + Chr$(13) _
         + "part model must be loaded."
  Else
    FileTyp = ModelDoc2.GetType
    If FileTyp = swDocPART Then
      ' Document is a SolidWorks part. Show form
      FormModelTweaker.Show
    Else
      MsgBox "Document is not a SolidWorks part. A SolidWorks part model must be loaded."
    End If          ' document type
  End If            ' document loaded
End Sub

